package examenes.examen20241122;

import examenes.examen20241122.Utils.Utils;

public class Ejercicio_a {
    public static void main(String[] args) {
        int[] arrayNums = Utils.crearArrayNumsAleatorios(10, -100, 100);

        Utils.mostrarArrayNums(arrayNums);
        System.out.println();
        Utils.mostrarArrayNums(invertirArrayNums(arrayNums));
    }

    /**
     * Invierte los números del array intercambiándolos
     *
     * @param arrayNums Array a invertir
     * @return Mismo array invertido
     */
    public static int[] invertirArrayNums(int[] arrayNums) {

        //Lo recorre desde el principio y el final invirtiéndolos
        for (int inicio = 0, fin = arrayNums.length - 1; inicio < fin; inicio++, fin--) {

            int tempNum = arrayNums[inicio];
            arrayNums[inicio] = arrayNums[fin];
            arrayNums[fin] = tempNum;
        }
        return arrayNums;
    }
}
